=== debian/control ===
--- 
+++ 
@@ -137,7 +137,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, libtfm1 (> 0.13.1)
 Suggests: libclamunrar, libclamunrar11
 Replaces: libclamav9
 Description: anti-virus utility for Unix - library
