=== debian/rules ===
--- 
+++ 
@@ -160,3 +160,9 @@
 # Don't compress the example configuration files.
 override_dh_compress:
 	dh_compress -Xexamples
+
+override_dh_installsystemd:
+ifneq (linux, $(DEB_HOST_ARCH_OS))
+	dh_installsystemd --name clamav-clamonacc --no-enable --no-start
+endif
+	dh_installsystemd --name clamav-daemon
