## clamav 1.0.3+dfsg

=== debian/changelog ===
clamav (1.0.3+dfsg-1~deb12u1) bookworm; urgency=medium

  * Import 1.0.3
  * Remove unnecessary warning messages in freshclam during update.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 09 Sep 2023 16:36:13 +0200

clamav (1.0.2+dfsg-1~deb12u1) bookworm; urgency=medium

  * Import 1.0.2 (Closes: #1050057)
    - CVE-2023-20197 (Possible DoS in HFS+ file parser).
    - CVE-2023-20212 (Possible DoS in AutoIt file parser).
  * Use cmake for xml2 detection (Closes: #949100).
  * Replace tomsfastmath with OpenSSL's BN.
  * Don't enable clamonacc by default (Closes: #1030171).
  * Let the clamav-daemon.socket depend on the service file again
    (Closes: #1044136).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sun, 27 Aug 2023 11:35:11 +0200
