## clamav 1.0.4+dfsg

=== debian/changelog ===
clamav (1.0.4+dfsg-1) unstable; urgency=medium

  * Import 1.0.4
    - Update symbols.
  * Add systemd-dev to Build-Depends (Closes: #1060559).
  * Mark clamav-base as foreign (Closes: #1060889).

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 20 Jan 2024 11:57:33 +0100

clamav (1.0.3+dfsg-2) unstable; urgency=medium

  * Remove unnecessary warning messages in freshclam during update.

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 09 Sep 2023 12:49:40 +0200

clamav (1.0.3+dfsg-1) unstable; urgency=medium

  * Import 1.0.3

 -- Sebastian Andrzej Siewior <sebastian@breakpoint.cc>  Sat, 09 Sep 2023 10:18:34 +0200
