=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
                libncurses-dev,
                libpcre2-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
-               libtfm-dev,
+               libsystemd-dev [linux-any], systemd-dev,
                libxml2-dev,
                perl:native,
                pkg-config,
@@ -44,6 +43,7 @@
 
 Package: clamav-base
 Architecture: all
+Multi-Arch: foreign
 Depends: adduser, logrotate, ucf, ${misc:Depends}
 Recommends: clamav
 Description: anti-virus utility for Unix - base package
@@ -137,7 +137,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}, libtfm1 (> 0.13.1)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libclamunrar, libclamunrar11
 Replaces: libclamav9
 Description: anti-virus utility for Unix - library
