=== debian/rules ===
--- 
+++ 
@@ -80,7 +80,7 @@
 	  fi;\
 	done; \
 	# Check for library features which may have been upgraded.
-	if ! grep -q "CL_FLEVEL 163" libclamav/others.h ; then \
+	if ! grep -q "CL_FLEVEL 164" libclamav/others.h ; then \
 		echo "cl_retflevel needs boosting in symbol file"; \
 		touch debian/exit; \
 	fi;
